为知笔记吧 关注:7,749贴子:52,796

Linux 客户端 (v 2.5.5) 绿色版下载地址 (linux版反馈收集)

只看楼主收藏回复

地址: https://url.wiz.cn/u/linux255


运行方法 ( 可阅读 readme )
* 在终端中通过命令 sh start.sh 来启动程序
* 如果要直接通过/bin/WizNote来启动程序,请先将/lib添加到系统环境变量CLASSPATH中


如果遇到了问题,请在该贴反馈,注意留下你的 linux 系统型号,并详细描述你的问题(建议带截图)


大皇帝页游新区入口,三国SLG战争页游,点击领取礼包,新服送首冲高返利! 酷玩吧为您推荐!!!
广告
Linux Mint 17.3,笔记能正常打开,但是fcitx输入法不能使用,希望解决,谢谢!还有能不能加个markdown实时预览功能呢?


收起回复
举报|2楼2017-05-18 18:13
    好东西,目前在deepin下,准备试试


    回复
    举报|3楼2017-05-19 10:12
      deepin 15.4 ,无法登录


      收起回复
      举报|4楼2017-05-19 10:46
        deepin15.4


        收起回复
        举报|5楼2017-05-19 23:03
          wjc@wjc-pc:/opt/WizNote$ ./start.sh
          /opt/WizNote/lib:/opt/Qt5.8.0/5.8/gcc_64/lib
          wjc@wjc-pc:/opt/WizNote$
          wjc@wjc-pc:/opt/WizNote$ sudo ./start.sh
          /opt/WizNote/lib:
          ./bin/WizNote: error while loading shared libraries: libQt5WebEngine.so.5: cannot open shared object file: No such file or directory
          wjc@wjc-pc:/opt/WizNote$


          deepin15.4报错


          收起回复
          举报|7楼2017-05-24 00:59
            支持!


            回复
            举报|8楼2017-05-24 12:23
              提示
              2017-05-24T14:38:23: Failed to get document by guid
              同步失败,无法获取到服务器上的笔记。


              回复
              举报|9楼2017-05-24 14:39
                deepin15.4,还是登录不了,试过sudo也不行


                收起回复
                举报|10楼2017-05-25 07:26
                  怎么点击图标运行呢


                  回复
                  举报|12楼2017-05-25 11:58
                    足球大师2017,海量真实球员,豪门俱乐部倾情授权合作 实时PVP对战,逼真足球世界,豪门俱乐部倾情授权合作,3D比赛引擎
                    广告
                    打开新的同步方式之后,还可以使用linux版本吗?


                    收起回复
                    举报|13楼2017-05-27 08:45
                      linux版本问题
                      arch
                      有时候右键点击文档会崩溃退出,有时候其他一些操作也会退出,


                      然后再次点击图标就没响应了,命令打开提示如下


                      收起回复
                      举报|14楼2017-05-27 22:46
                        无法导出
                        arch


                        点击open没有任何反映,在Name中输入文件名称会提示没有文件,输入目录名称会打开目录,然后状况又跟现在一样了,我是想导出markdown的


                        回复
                        举报|15楼2017-05-27 22:53
                          同好奇勾选了新的同步方式,然后在Ubuntu 16.04上编译安装新版的WizNote客户端。最后用Qt5.9终于编译安装成功了,好一顿折腾。下面总结一下遇到的问题及解决方法,有的也是楼上的吧友遇到的。
                          1. 无法输入中文
                          开始时使用Qt5.8编译,按照 https://github.com/WizTeam/WizQTClient/issues/423 中建议,拷贝了相应的动态库,重新编译后可以在搜索框和笔记的标题栏输入中文了,但编辑区还是不行。又看了https://github.com/WizTeam/WizQTClient/issues/443 这一个Issue,说明可能是上游的Qt出了问题,这个问题在5.9版本得到了修复。
                          解决方法:重新安装了Qt5.9,重新按照 https://github.com/WizTeam/WizQTClient/issues/423 拷贝了动态库(忘了5.9版本是不是必须了,反正我拷贝后是可以的),然后编译运行,成功输入中文。
                          2. 无法点击系统的图标打开WizNote
                          通过 make 和 sudo make install 安装完成后,可能无法打开程序。即 @750145113 童鞋所说,会遇到 “error while loading shared libraries: libQt5WebEngine.so.5: cannot open shared object file: No such file or directory” 的错误。这是因为程序运行时找不到Qt相关的动态链接库导致的。所以要把Qt相关链接库的路径告诉程序。
                          解决方法:在 /etc/ld.so.conf.d/ 文件夹下新建 wiznote.conf 文件,写入Qt的动态链接库路径,我的是 /opt/Qt5.9.0/5.9/gcc_64/lib,保存后,在终端执行 sudo ldconfig。


                          收起回复
                          举报|17楼2017-05-31 09:28
                            非常感谢17楼提供的方法,成功编译并且中文输入法正常,但是新建的笔记,默认的字体太难看了,记得之前ppa里的那个旧版本没有这个字体的问题,虽然可以修改,但是不是很方便,希望能够解决这个问题。
                            还想请问一个问题,编译好的程序如何打包成一个deb或者像telegram那样的文件,以免以后出现问题或者需要重做系统的时候不用再次编译呢?



                            对于Ubuntu16.04 LTS用户,在编译成功使用时可能会遇到默认字体为Arial,这将会导致中英文文字都很难看,虽然可以从字体面板中选择其他字体来设置,但还是有一点不太方便。
                            稍微摸索了一下,找到了一个暂时可以解决的办法,在Qt Creator中打开克隆下来的项目,找到WizSettings.cpp文件,在638行的位置,添加你自己喜欢,并且已经安装过的字体的名称,如下图:


                            然后重新编译即可,此时新建笔记将会默认使用你修改后的字体作为默认字体。(默认的fontsize为15,也可在669行的位置中修改)之前默认为Arial可能是因为在操作系统中找不到官方需要的字体,就默认使用了Arial,但官方可以在Linux系统中,将这个值改为noto家族的,linux大多发行版应该都是包含了此字体。
                            此方法仅针对Ubuntu16.04 测试,问题也是出现在我的Ubuntu 16.04上,其他发行版若出现同类情况,可做参考。


                            收起回复
                            举报|20楼2017-06-01 14:45
                              abcft@abcft:/home/zhangbc$ sudo apt-get install wiznote
                              Reading package lists... Done
                              Building dependency tree
                              Reading state information... Done
                              E: Unable to locate package wiznote


                              回复
                              举报|21楼2017-06-04 22:43
                                -- Found ZLIB: /usr/lib/x86_64-linux-gnu/libz.so (found version "1.2.8")
                                -- /home/tools/WizQTClient/resources/wiznote.qrc
                                WizNote whill compiling as Release, use Qt: 5.7.0
                                -- Configuring done
                                -- Generating done
                                CMake Warning:
                                Manually-specified variables were not used by the project:


                                QT_QMAKE_EXECUTABLE




                                -- Build files have been written to: /tmp/qtc-cmake-Z0qJCe
                                这是什么问题呀, 运行没有出现wiznote,么有任何反应,求大神解决! 谢谢!


                                回复
                                举报|22楼2017-06-07 13:14
                                  我使用QT自己构建的怎么生产可执行文件,我想用Wiznote的时候都要打开QT然后编译运行嘛?


                                  收起回复
                                  举报|23楼2017-06-08 11:16
                                    什么时候能出deb呀,非常期待!


                                    回复
                                    举报|24楼2017-06-08 11:28
                                      问题真多,编译完成,登录失败


                                      回复
                                      举报|25楼2017-06-12 15:55
                                        按上面说的用Qt 5.9, 拷贝了相应文件再编译, 运行正常, 但仍然不能输中文... Ubuntu 14.04 LTS


                                        回复
                                        举报|26楼2017-06-15 00:07


                                          回复
                                          举报|28楼2017-06-15 14:26
                                            新版本更新后打开markdown笔记看不到内容,完全空白,同时无法退出笔记


                                            回复
                                            举报|29楼2017-06-15 15:20
                                              BUG:


                                              UBUNTU16.04
                                              搜狗输入法



                                              下载后, 直接终端 ./start.sh
                                              运行后, 无法切换中文输入法.无法输入中文
                                              只能输入英文.


                                              收起回复
                                              举报|30楼2017-06-16 10:13
                                                可能是Qt的通病吧. 我自己编译的wiznot for linux 2.4.0 当时也是无法输入中文, 捣鼓了半天好了.
                                                下载下来这个wiz也不能输入中文了....
                                                懒的捣鼓了, 还是先用着2.4.0


                                                Qt解决中文输入的问题:
                                                原文地址:http://my.oschina.net/lieefu/blog/505363?fromerr=zDmM5RzP安装环境及版本
                                                System:Ubuntu16.04LTS
                                                Languge:Chinese
                                                InputMethod:搜狗输入法
                                                Qt Version: Qt 5.6.0
                                                Qt Creator:3.6.1


                                                收起回复
                                                举报|31楼2017-06-16 10:19
                                                  什么时候出deb???????????????


                                                  回复
                                                  举报|32楼2017-06-16 21:13
                                                    求助一下,我用的是LinuxMint,编译的是2.5.5那个版本。
                                                    成功后,运行的时候总是会在控制台输出很多的信息,用 > /dev/null 也没用,不知道大家是怎么解决的,还是我的操作有问题。
                                                    还有就是每次运行的时候,必须要用sudo,不然的话,就没法正常同步。


                                                    请教有没有解决的方法。


                                                    收起回复
                                                    举报|33楼2017-06-19 23:11
                                                      建议修改下仓库的布局:


                                                      关于repo的布局
                                                      目前的仓库布局,我很难找到最新版本是哪个、稳定版本是哪个、新功能在哪儿找。所以我觉得我们可以改下仓库的结构:
                                                      一般来说,第一眼到github仓库看到的是master分支的代码,所以我建议 在master分支总是放最新的稳定版本代码,而不是现在孤零零的一个2.5.1
                                                      另外,我在找发布的版本的时候,一般会去release页面去找(就是仓库中的tag),所以我建议 将目前这些以版本命名的分支都转化为tag,方便查找,以后发布正式版、测试版,都可以在release页面上传二进制文件了。
                                                      最后,对于当前开发的分支,我建议 新建一个develop分支,让我们这些喜欢新功能的用户拉代码测试。 对于单独的新功能开发,可以新建feature-xxx分支开发,然后合并到develop分支。
                                                      对于目前的版本号分支,使用多方合并合并到master,然后里面在master revert,这样就不会导致空悬的tag了
                                                      基本上,这个就是简化版的GitFlow


                                                      回复
                                                      举报|35楼2017-06-22 20:27
                                                        Linux在HiDPI下,笔记正文的字体太小了,基本没法用啊!!


                                                        回复
                                                        举报|36楼2017-06-22 20:28